Get ad network reports OAuth Scope: posts:read

<Note title="Currently in beta" icon="b"> This feature is currently in beta and the API is subject to change.<br/> </Note> Retrieve advertisement performance and payment reports for the publication.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object.

Query parameters

limitintegerOptional
A limit between 1 and 100. Defaults to 10.
pageintegerOptional
The page of reports to return. Defaults to 1.
start_datedateOptional

Include reports for advertisements sent on or after this date in YYYY-MM-DD format.

end_datedateOptional

Include reports for advertisements sent on or before this date in YYYY-MM-DD format.

Response

OK
datalist of objects
Advertisement performance and payment reports for the publication.
limitinteger
The maximum number of reports returned.
pageinteger
The page number returned.
total_resultsinteger
The total number of reports.
total_pagesinteger
The total number of pages.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error